package main

import (
	"flag"
	"log"
	"os"
	"os/signal"
	"syscall"

	"git.autistici.org/ale/radioai"
)

var (
	publicIp = flag.String("ip", "127.0.0.1", "Public IP for this machine")
)


func main() {
	flag.Parse()

	client := radioai.NewEtcdClient()
	node := radioai.NewRadioNode(*publicIp, client)

	// Set up a clean shutdown function on SIGTERM.
	stopch := make(chan os.Signal)
	go func() {
		<- stopch
		log.Printf("terminating...")
		node.Stop()
	}()
	signal.Notify(stopch, syscall.SIGTERM, syscall.SIGINT)

	node.Run()
}